<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\ResponsiblesTelephonesTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\ResponsiblesTelephonesTable Test Case
 */
class ResponsiblesTelephonesTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\ResponsiblesTelephonesTable
     */
    public $ResponsiblesTelephones;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.responsibles_telephones',
        'app.responsibles',
        'app.patients',
        'app.allergies',
        'app.diagnostics',
        'app.glasgow_coma_scales',
        'app.hospitalizations',
        'app.screenings',
        'app.telephones',
        'app.patients_telephones'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('ResponsiblesTelephones') ? [] : ['className' => 'App\Model\Table\ResponsiblesTelephonesTable'];
        $this->ResponsiblesTelephones = TableRegistry::get('ResponsiblesTelephones', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->ResponsiblesTelephones);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     */
    public function testBuildRules()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
